locale_facets_nonio.h File Reference

Go to the source code of this file.

## Classes

class | std::messages< _CharT >
struct | std::messages_base
class | std::messages_byname< _CharT >
class | std::money_base
class | std::money_get< _CharT, _InIter >
class | std::money_put< _CharT, _OutIter >
class | std::moneypunct< _CharT, _Intl >
class | std::moneypunct_byname< _CharT, _Intl >
class | std::time_base
class | std::time_get< _CharT, _InIter >
class | std::time_get_byname< _CharT, _InIter >
class | std::time_put< _CharT, _OutIter >
class | std::time_put_byname< _CharT, _OutIter >

## Namespaces

namespace | std

## Variables

template<typename _CharT>
locale::id | std::__timepunct< _CharT >::id
template<typename _CharT>
const _CharT * | std::__timepunct_cache< _CharT >::_S_timezones [14]
template<>
const char * | std::__timepunct_cache< char >::_S_timezones [14]
template<>
const wchar_t * | std::__timepunct_cache< wchar_t >::_S_timezones [14]
template<typename _CharT>
locale::id | std::messages< _CharT >::id
template<typename _CharT, typename _InIter>
locale::id | std::money_get< _CharT, _InIter >::id
template<typename _CharT, typename _OutIter>
locale::id | std::money_put< _CharT, _OutIter >::id
template<typename _CharT, bool _Intl>
locale::id | std::moneypunct< _CharT, _Intl >::id
template<typename _CharT, bool _Intl>
const bool | std::moneypunct< _CharT, _Intl >::intl
template<typename _CharT, bool _Intl>
const bool | std::moneypunct_byname< _CharT, _Intl >::intl
template<typename _CharT, typename _InIter>
locale::id | std::time_get< _CharT, _InIter >::id
template<typename _CharT, typename _OutIter>
locale::id | std::time_put< _CharT, _OutIter >::id

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <locale>.

Definition in file locale_facets_nonio.h.